### Function

# Phosh shell_get_usable_area

since: 0

#### Declaration [src]

    void
    phosh_shell_get_usable_area (
      PhoshShell* self,
      int* x,
      int* y,
      int* width,
      int* height
    )

#### Description [src]

Gives the usable area in pixels usable by a client on the primary display.

Available since: 0

This function is not directly available to language bindings.

#### Parameters

`self`

  Type: `PhoshShell*`

  The shell.

  The data is owned by the caller of the function.

`x`

  Type: `int*`

  The x coordinate where client usable area starts.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`y`

  Type: `int*`

  The y coordinate where client usable area starts.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`width`

  Type: `int*`

  The width of the client usable area.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.

`height`

  Type: `int*`

  The height of the client usable area.

  The argument will be set by the function.
  The argument can be set to `NULL` by the function.